> For the complete documentation index, see [llms.txt](https://docs.ngsurvey.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ngsurvey.com/installation-setup/installation/linux-ubuntu-centos/linux-ssl.md).

# Linux SSL

If you would like to deploy and use ngSurvey on a Linux with a domain running under SSL you may use following script that will deploy ngSurvey using an ngInx SSL enabled reverse proxy :

<mark style="color:red;">**To get your access token contact ngSurvey's sales team.**</mark>

## Ubuntu

you may use following shell script from your Ubuntu shell.

```
curl -o ngs-ubuntu-ssl-docker.sh https://ngsurvey.s3.eu-central-1.amazonaws.com/ngs-ubuntu-ssl-docker.auth.sh 
sudo chmod +x ./ngs-ubuntu-ssl-docker.auth.sh 
sudo ./ngs-ubuntu-ssl-docker.auth.sh YOURDOMAIN.COM ngsurvey YOUR_ACCESSTOKEN
```

This will generate a certificate for your domain and automatically configure ngSurvey under an secured HTTPS channel.&#x20;

{% hint style="danger" %}
Make sure that your domain is properly registered in your DNS with your host IP.   &#x20;
{% endhint %}

## Custom database

By default the script above will use a mysql database. If you would like to use your own database you may modify the downloaded /srv/docker/ngsurveyee.ssl.mysql.yml file from the script above and use your own connectionstring to your database and then restart your ngsurvey setup using following command.&#x20;

```
sudo docker-compose -f /srv/docker/ngsurveyee.ssl.mysql.yml up -d
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.ngsurvey.com/installation-setup/installation/linux-ubuntu-centos/linux-ssl.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
